## kfreebsd-kernel-headers 0.34

=== debian/changelog ===
kfreebsd-kernel-headers (0.34) unstable; urgency=low

  [ Petr Salinger ]
  * fixup i386/include/pcb.h
  * fixup Vcs-Browse field

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jun 2009 09:59:13 +0200

kfreebsd-kernel-headers (0.33) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.2
  * define types cpuwhich_t, cpulevel_t, cpusetid_t
  * add Vcs-* fields into debian/control.
  
  [ Aurelien Jarno ]
  * Install <sys/bitstring.h>.
  * debian/control: switch to section kernel.
  * Bumped Standards-Version to 3.8.1 (no changes).
  * Use debhelper to create directories.
  * Use debhelper to install headers.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Jun 2009 11:20:17 +0200

kfreebsd-kernel-headers (0.32) unstable; urgency=low

  * Upload to unstable. 
  * Switch to debhelper 5.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Apr 2009 15:58:50 +0200

kfreebsd-kernel-headers (0.31) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.1
  * debian/includes.list: update for kfreebsd-7.1

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 Jan 2009 10:15:55 +0100

kfreebsd-kernel-headers (0.30) unreleased; urgency=low

  * debian/patches/*: convert to patchlevel p1 as requested by the new
    dpkg-source.
  * debian/includes.list: update for kfreebsd-7.
  * debian/links: provide a compat symlink for usr/include/isofs/cd9660.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 22:08:02 +0200

kfreebsd-kernel-headers (0.29) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.0

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jul 2008 13:53:56 +0200

kfreebsd-kernel-headers (0.28) unreleased; urgency=low

  [ Petr Salinger ]
  * vnode.h fix needed by libgtop2

  [ Aurelien Jarno ]
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Mar 2008 18:52:50 +0200

kfreebsd-kernel-headers (0.27) unreleased; urgency=low

  [ Petr Salinger ]
  * Add build-dependency on quilt, and use quilt in debian/rules
  * Based on kfreebsd-source-6.3
  * Export <sys/lock_profile.h> and <sys/_sx.h>, needed by newer kvm
  * fixes needed by libgtop2

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Jan 2008 16:41:04 +0100

kfreebsd-kernel-headers (0.26) unreleased; urgency=low

  [ Petr Salinger ]
  * based on kfreebsd-source-6.2
  * export <sys/tree.h> and <net/pfvar.h>, needed by pf

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jan 2007 12:28:21 +0100

kfreebsd-kernel-headers (0.25) unreleased; urgency=low

  * Add bi-arch support for i386 and amd64.
  * Bumped build-dependency on kfreebsd-source-6.1 to (>= 6.1-3)
    to make sure the CVS/ directories are removed.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Jan 2007 23:23:37 +0100

kfreebsd-kernel-headers (0.24) unreleased; urgency=low

  * Small fix for kfreebsd-amd64. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Dec 2006 20:25:40 +0100

kfreebsd-kernel-headers (0.23) unreleased; urgency=low

  [ Petr Salinger ]
  * mini cleanup
  * fix <sys/fbio.h>, would be needed by fixed elinks
  * fix <sys/conf.h>, would be needed by fixed soundmodem

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Dec 2006 12:37:06 +0100

kfreebsd-kernel-headers (0.22) unreleased; urgency=low

  [ Petr Salinger ]
  * sync <sys/ioccom.h> with <sys/ioctl.h>, needed by darkice due to "-pedantic"
  * fix  <sys/iconv.h>,  needed by wv2
  * fix  <dev/acpica/acpiio.h>, needed by gnome-applets
  * move <sys/ktrace.h> from libc0.1-dev

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Nov 2006 14:53:41 +0100

kfreebsd-kernel-headers (0.21) unreleased; urgency=low

  [ Petr Salinger ]
  * fix <sys/ata.h>, needed by smartmontools

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Nov 2006 17:09:17 +0100

kfreebsd-kernel-headers (0.20) unreleased; urgency=low

  [ Petr Salinger ]
  * based on kfreebsd-source-6.1
  * export headers from bsm subdir
  * fix <sys/buf.h>, <net80211/ieee80211.h>

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.2 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  5 Sep 2006 01:04:45 +0200

kfreebsd-kernel-headers (0.18) unreleased; urgency=low

  [ Petr Salinger ]
  * workaround glibc behaviour of __CONCAT() macro
  * drop 004_sys_ioctl_compat_h.diff
  * misc cleanup of patches

  [ Robert Millan ]
  Fixes by Andraz (Note: his "z" is actualy a "caron z" thingy, he really wanted
  me to write that down ;):
  * Add sys/iconv.h.
  * patches/004_stdint_h.diff:  Include <stdint.h> for ieee80211.h.

  [ Aurelien Jarno ]
  * 012_strace.diff:  Misc amd64 fixes.

 -- Robert Millan <rmh@aybabtu.com>  Wed,  3 May 2006 22:17:48 +0200

kfreebsd-kernel-headers (0.17) unreleased; urgency=low

  * 015_cam.diff:  Misc amd64 fixes.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 29 Mar 2006 20:31:45 +0200

kfreebsd-kernel-headers (0.16) unreleased; urgency=low

  [ Robert Millan ]
  * control (Architecture): Add kfreebsd-amd64.
  * patches/011_wine.diff: Add more elf header fixes.
  * Fix altq path (it's in sys/contrib/ now).
  * Install full nfsclient dir.
  * Add sys/mdioctl.h (needed for mdconfig).

  [ Aurelien Jarno ]
  * Remove sys/acl.h, it should be provided by libacl instead.
  * Fix machine/_types.h on kfreebsd-amd64 the same way as on kfreebsd-i386.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Mar 2006 18:59:21 +0100

kfreebsd-kernel-headers (0.15) unreleased; urgency=low

  * patches/007_kvm.diff: Remove second hunk (not needed, and actualy
    breaks stuff).
  * includes.list: Add sys/lockmgr.h, and altq, ufs and vm as complete
    directories.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 16 Feb 2006 13:17:38 +0100

kfreebsd-kernel-headers (0.14) unreleased; urgency=low

  * Remove sys/dirent.h 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Jan 2006 11:36:20 +0100


