=== debian/control ===
Source: kfreebsd-kernel-headers
Section: kernel
Priority: standard
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-7.2
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
Standards-Version: 3.8.1

Package: kfreebsd-kernel-headers
Architecture: kfreebsd-i386 kfreebsd-amd64
Replaces: kfreebsd-headers, libc0.1-dev (<= 2.3.6.ds1-8)
Conflicts: kfreebsd-headers
Description: kernel of FreeBSD headers for development
 This package provides headers from the kernel of FreeBSD. These headers
 are used by the installed headers for GNU glibc and other system libraries.
