=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

kfreebsd_cpu	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
SRC_TAR		:= /usr/src/kfreebsd-source-7.2.tar.bz2
SRC_DIR		:= kfreebsd-source-7.2

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf kfreebsd-source-* 
	dh_clean

build: build-stamp
build-stamp:
	dh_testdir
	
	tar xfj $(SRC_TAR)

	cd $(SRC_DIR) && QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install --sourcedir=$(SRC_DIR)

ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
	sh debian/generate-asm.sh $(kfreebsd_cpu) $(SRC_DIR)/sys $(HEADERS_PACKAGE)/usr/include
else
	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
	cd $(SRC_DIR)/sys/$(kfreebsd_cpu)/include \
		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
endif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime	
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
