## kfreebsd-kernel-headers 0.47

=== debian/changelog ===
kfreebsd-kernel-headers (0.47) unstable; urgency=low

  * Replace __GNUCLIKE* preprocessor tests with __GNUC__.
  * Add ${misc:Depends} to depends.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jan 2010 12:13:19 +0100

kfreebsd-kernel-headers (0.46) unstable; urgency=low

  [ Petr Salinger ]
  * Add <legacy/dev/usb/usb.h>
  * Add #include <stdint.h> into <dev/ciss/cissio.h>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Dec 2009 07:36:36 +0100

kfreebsd-kernel-headers (0.45) unstable; urgency=low

  [ Petr Salinger ]
  * Small backward compatibility in <dev/usb/usb.h>
  * Fix for libgtop2
  * Include <sys/param.h> from <machine/_types.h>

  [ Aurelien Jarno ]
  * Fix for net-snmp.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Dec 2009 14:07:58 +0100

kfreebsd-kernel-headers (0.44) unstable; urgency=low

  * Install <sys/_lockmgr.h>.
  * Install <cam/ata/*.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Nov 2009 16:43:29 +0100

kfreebsd-kernel-headers (0.43) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.0
  * debian/includes.list: update for kfreebsd-8.0, netstat

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 09:28:12 +0100

kfreebsd-kernel-headers (0.42) unstable; urgency=low

  [ John Stamp ]
  * add missing semicolon in <net/if_var.h>
    Closes: #547777

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Sep 2009 15:49:20 +0200

kfreebsd-kernel-headers (0.41) unstable; urgency=low

  [ Petr Salinger ]
  * fix <sys/devicestat.h>, needed by icecc
  * allow inclusion of <net/if_var.h>, <ifaddrs.h> in both orders

  [ Aurelien Jarno ]
  * Add README.source.
  * Bump Standards-Version to 3.8.3.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Sep 2009 10:08:09 +0200

kfreebsd-kernel-headers (0.40) unstable; urgency=low

  * Install <sys/kenv.h> at the right location. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Aug 2009 14:43:56 +0200

kfreebsd-kernel-headers (0.39) unstable; urgency=low
 
  [ Aurelien Jarno ]
  * export <sys/kenv.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 20:39:30 +0200

kfreebsd-kernel-headers (0.38) unstable; urgency=low

  [ Petr Salinger ]
  * fix <net/route.h>, needed by nmap.
  * fix <sys/rtprio.h>, needed by kdebase-workspace
  * fix <machine-i386/cpufunc.h>, needed by piklab

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2009 18:55:28 +0200

kfreebsd-kernel-headers (0.37) unstable; urgency=low

  * Export <sys/endian.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Aug 2009 18:37:41 +0200

kfreebsd-kernel-headers (0.36) unstable; urgency=low

  [ Petr Salinger ]
  * fix <dev/ciss/cissio.h>, needed by smartmontools.

  [ Aurelien Jarno ]
  * export sysctlnametomib() in <sys/sysctl.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Jul 2009 16:29:07 +0200

kfreebsd-kernel-headers (0.35) unstable; urgency=low

  [ Petr Salinger ]
  * add #include <stdint.h> into <sys/pciio.h>
    Closes: #535243.

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 03 Jul 2009 03:00:44 +0200
