=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 kfreebsd_cpu	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
-SRC_TAR		:= /usr/src/kfreebsd-source-7.2.tar.bz2
-SRC_DIR		:= kfreebsd-source-7.2
+SRC_TAR		:= /usr/src/kfreebsd-source-8.0.tar.bz2
+SRC_DIR		:= kfreebsd-source-8.0
 
 clean:
 	dh_testdir
@@ -34,6 +34,10 @@
 	dh_clean -k
 	dh_installdirs
 	dh_install --sourcedir=$(SRC_DIR)
+
+	# legacy USB stack
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/legacy/dev/usb
+	install -p $(CURDIR)/debian/legacy-usb/*.h $(HEADERS_PACKAGE)/usr/include/legacy/dev/usb/
 
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
 	sh debian/generate-asm.sh $(kfreebsd_cpu) $(SRC_DIR)/sys $(HEADERS_PACKAGE)/usr/include
