## kfreebsd-kernel-headers 0.53

=== debian/changelog ===
kfreebsd-kernel-headers (0.53) unstable; urgency=low

  * Fix <machine/apm_bios.h> by including <stdint.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Jul 2010 07:37:48 +0200

kfreebsd-kernel-headers (0.52) unstable; urgency=low

  * Build-depends on kfreebsd-source-8.1 (>= 8.1-2):
    - Use xz source format.
    - Provide <machine/apm_bios.h>

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:10:51 +0200

kfreebsd-kernel-headers (0.51) unstable; urgency=low

  * Add <sys/refcount.h> (closes: bug#590730).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 01:59:31 +0200

kfreebsd-kernel-headers (0.50) unstable; urgency=low

  * Add <sys/sdt.h> (closes: bug#590628). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jul 2010 20:15:24 +0200

kfreebsd-kernel-headers (0.49) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.1
  * debian/includes.list: update for kfreebsd-8.1

  [ Aurelien Jarno ]
  * Bump Standards-Version to 3.9.1.
  * Update debian/copyright. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Jul 2010 16:42:07 +0200

kfreebsd-kernel-headers (0.48) unstable; urgency=low

  * Add #include <stdint.h> into <net80211/_ieee80211.h> (closes: bug#
    569628). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 13 Feb 2010 13:27:11 +0100
