=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: standard
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-8.0
+Build-Depends: debhelper (>= 5.0.0), quilt, kfreebsd-source-8.1 (>= 8.1-2)
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: kfreebsd-kernel-headers
 Architecture: kfreebsd-i386 kfreebsd-amd64
