## kfreebsd-kernel-headers 0.56

=== debian/changelog ===
kfreebsd-kernel-headers (0.56) unstable; urgency=low

  * Remove <sys/sbuf.h> again, now that libsbuf-dev provides a usable
    header.
  * Fix gratuitous "#include <sys/sbuf.h>" in <geom/geom.h>.
  * Add sys/fs/nfs/*.h, sys/nfs/*.h and sys/nfsserver/*.h.  (Closes:
    #629562)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jun 2011 18:32:30 +0200

kfreebsd-kernel-headers (0.55) unstable; urgency=low

  * Swap build-arch and build-indep; install-arch and install-indep targets.
  * Use double underscore protected internal types in <sys/ucred.h> so that
    glibc can access them w/o needing to define _BSD_SOURCE. Closes: #629211
  * Make <sys/sbuf.h> usable while libsbuf-dev does not yet provides its own
    version. Closes: #629444

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 07:32:13 +0200

kfreebsd-kernel-headers (0.54) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.2.
  * Fix __packed in <net80211/ieee80211_ioctl.h> for knemo.
  * Drop <legacy/dev/usb/usb.h>.

  [ Robert Millan ]
  * Add <sys/kerneldump.h> for savecore (freebsd-utils).
  * Start MIPS support.

  [ Guillem Jover ]
  * Unpack the kfreebsd-source tarball directly into the top package
    source directory.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add <sys/_semaphore.h> and <sys/cpuset.h> for <sys/sysproto.h>.
    For now <sys/acl.h> is not included, and libacl-dev should probably
    be used instead, but it might lack needed definitions. Closes: #593553
  * Add <netinet/pim.h>. Closes: #595901
  * Switch to debhelper compatibility level 7.
    - Use dh_prep instead of deprecated “dh_clean -k”.
  * Remove unused debhelper commands from debian/rules.
  * Switch to source format “3.0 (native)”.
  * Add build-arch, build-indep, install-arch and install-indep targets
    to debian/rules.

 -- Guillem Jover <guillem@debian.org>  Thu, 26 May 2011 02:41:12 +0200
