## kfreebsd-kernel-headers 0.61

=== debian/changelog ===
kfreebsd-kernel-headers (0.61) unstable; urgency=low

  * Remove dev/bktr/*.h, it isn't installed on FreeBSD.
  * Drop conflict on kfreebsd-headers (now a virtual package provided by
    kfreebsd-headers-*).
  * Propagate __FreeBSD_version from sys/param.h to the rest of kernel
    headers.
  * Include <stdint.h> in V4L headers.  (Closes: #649727)

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 18:58:18 +0100

kfreebsd-kernel-headers (0.60) unstable; urgency=low

  * Bring back altq/*.h, which was mistakenly removed in 0.58.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 20:00:07 +0100

kfreebsd-kernel-headers (0.59) unstable; urgency=low

  * Add sys/netsmb/*.h.

 -- Robert Millan <rmh@debian.org>  Sat, 05 Nov 2011 21:05:33 +0100

kfreebsd-kernel-headers (0.58) unstable; urgency=low

  * Provide v4l headers (from v4l_compat FreeBSD port).
  * Run same sed hack as the kernel currently does, so that kernel one
    can be removed (eventually).
  * Only extract headers from tarball (since only headers are used).
  * Remove unused cruft.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 15:18:02 +0100

kfreebsd-kernel-headers (0.57) unstable; urgency=low

  * Renable 039_mips_misc.diff.
  * 005_register_t.diff: #include <sys/types.h> in headers that use
    register_t.  (Closes: #637378)
  * 042_sysarch_stubs.diff: Work around missing syscall stubs in libc by
    declaring them as inline functions.  (Closes: #637424)

 -- Robert Millan <rmh@debian.org>  Wed, 17 Aug 2011 11:44:04 +0000
