## kfreebsd-kernel-headers 0.62

=== debian/changelog ===
kfreebsd-kernel-headers (0.62) unstable; urgency=low

  * Bring back dev/pci/*.h. Despite that it isn't installed on FreeBSD,
    it is needed by oss4.

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 15:22:53 +0100
