=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 Package: kfreebsd-kernel-headers
 Architecture: kfreebsd-any
 Depends: ${misc:Depends}
-Replaces: kfreebsd-headers, libc0.1-dev (<= 2.3.6.ds1-8)
-Conflicts: kfreebsd-headers
+Replaces: libc0.1-dev (<= 2.3.6.ds1-8)
 Description: kernel of FreeBSD headers for development
  This package provides headers from the kernel of FreeBSD. These headers
  are used by the installed headers for GNU glibc and other system libraries.
