=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,18 @@
 kfreebsd_cpu	:= $(DEB_HOST_ARCH_CPU)
 endif
 
+major=8
+minor=2
+
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
-SRC_TAR		:= /usr/src/kfreebsd-source-8.2.tar.xz
+SRC_TAR		:= /usr/src/kfreebsd-source-$(major).$(minor).tar.xz
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -rf .pc
 	rm -f *-stamp
-	rm -rf sys usr.sbin
+	rm -rf sys usr.sbin linux
 	dh_clean
 
 .PHONY: clean
@@ -32,7 +35,19 @@
 build-arch-stamp:
 	dh_testdir
 
-	tar xfJ $(SRC_TAR) --strip-components=1
+	tar xfJ $(SRC_TAR) --wildcards --strip-components=1 "*.h"
+
+	set -e ; \
+	fbsd_version=$$(sed sys/sys/param.h -ne "s/^#\s*define\s\+__FreeBSD_version\s\+\([0-9]*\)\s.*/\1/p") ; \
+	find sys -type f | (while read i ; do \
+	sed -i $$i \
+		-e 's/defined\s*(\s*__FreeBSD__\s*)/1/g' \
+		-e 's/#\s*ifdef\s*__FreeBSD__\(\s\|$$\)/#if 1/g' \
+		-e 's/#\s*ifndef\s*__FreeBSD__\(\s\|$$\)/#if 0/g' \
+		-e 's/__FreeBSD__/$(major)/g' \
+		\
+		-e "s/__FreeBSD_version/$$fbsd_version/g" \
+	; done)
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2
