## kfreebsd-kernel-headers 0.69

=== debian/changelog ===
kfreebsd-kernel-headers (0.69) unstable; urgency=low

  * Avoid defining __size_t, as this interacts badly with Glibc (which
    defines it as a macro).

 -- Robert Millan <rmh@debian.org>  Sat, 28 Jan 2012 14:39:42 +0100

kfreebsd-kernel-headers (0.68) unstable; urgency=low

  * Add dev/bktr/ioctl_bt848.h and dev/bktr/ioctl_meteor.h.
    (Closes: #657508)

 -- Robert Millan <rmh@debian.org>  Thu, 26 Jan 2012 19:03:11 +0100

kfreebsd-kernel-headers (0.67) unstable; urgency=low

  * Install geom/raid/*.h.
  * s/time_t/__time_t/ in struct bintime.
  * Fix remaining problems affecting <sys/soundcard.h>.  (Closes: #656947)
    - Check for <sys/cdefs.h> using _SYS_CDEFS_H instead of _SYS_CDEFS_H_.
    - Redefine time_t as "long int" to match with Glibc definition.

 -- Robert Millan <rmh@debian.org>  Wed, 25 Jan 2012 22:03:37 +0100

kfreebsd-kernel-headers (0.66) unstable; urgency=low

  * Redefine clock_t as signed to match with Glibc type.  (Closes: #656947)
  * Cleanup and document type collision fixes, merge them into one patch
    (type_collision.diff), discard unnecessary type removal.

 -- Robert Millan <rmh@debian.org>  Mon, 23 Jan 2012 22:23:53 +0100

kfreebsd-kernel-headers (0.65) unstable; urgency=low

  * Add sys/_callout.h, sys/_cpuset.h and sys/_termios.h.
  * 018_sys__types.diff: Remove cpumask_t, add cap_rights_t.
  * ctltype_quad.diff: Backward compatibility for CTLTYPE_QUAD removal
    in rev 217616.

 -- Robert Millan <rmh@debian.org>  Sat, 21 Jan 2012 00:47:29 +0100

kfreebsd-kernel-headers (0.64) unstable; urgency=low

  * Install x86 directory on i386/amd64.
  * Fixup __aligned and u_(char|short|int|long) with sed rules instead
    of patches.  (Closes: #637715)

 -- Robert Millan <rmh@debian.org>  Wed, 18 Jan 2012 19:43:14 +0100

kfreebsd-kernel-headers (0.63) unstable; urgency=low

  * Upgrade to kFreeBSD 9.0.
  * Replace patches that mangle __packed with a generic sed rule.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Jan 2012 20:19:57 +0100
