=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>
-Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-8.2
+Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-9.0
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
 Standards-Version: 3.9.2
