=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 kfreebsd_cpu	:= $(DEB_HOST_ARCH_CPU)
 endif
 
-major=8
-minor=2
+major=9
+minor=0
 
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
 SRC_TAR		:= /usr/src/kfreebsd-source-$(major).$(minor).tar.xz
@@ -47,6 +47,18 @@
 		-e 's/__FreeBSD__/$(major)/g' \
 		\
 		-e "s/__FreeBSD_version/$$fbsd_version/g" \
+		\
+		-e 's/defined\s*(\s*__GNUCLIKE_[A-Z_]\+\s*)/1/g' \
+		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 1/g' \
+		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
+		\
+		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
+		-e 's/__aligned(\([0-9]*\))/ __attribute__((aligned(\1)))/g' \
+		-e 's/\(\s\|^\|(\)u_\(char\|int\|short\|long\)\(\s\)/\1unsigned \2\3/g' \
+		\
+		-e 's/defined\s*(\s*_SYS_CDEFS_H_\s*)/defined(_SYS_CDEFS_H)/g' \
+		-e 's/#\s*ifdef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifdef _SYS_CDEFS_H/g' \
+		-e 's/#\s*ifndef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifndef _SYS_CDEFS_H/g' \
 	; done)
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2
@@ -68,6 +80,10 @@
 
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
 	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
+	# Install "x86" directory (only on i386 and amd64).
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/x86
+	cd $(CURDIR)/sys/x86/include \
+		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/x86 \;
 else
 	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
 	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
