## kfreebsd-kernel-headers 0.70

=== debian/changelog ===
kfreebsd-kernel-headers (0.70) unstable; urgency=low

  [ Steven Chamberlain ]
  * Use broader regex to fix all __aligned issues. (Closes: #656562)

  [ Robert Millan ]
  * Generate osreldate.h dynamically with up-to-date information.
  * Add sys/syscall.h and sys/errno.h.
  * Add net/netisr_internal.h.
  * Stop disabling __size_t in <machine/types.h>. The real problem is
    <stddef.h> defining it as an empty macro, thus all headers using
    __size_t are affected. Fix by regex.
  * Add geom/mountver/*.h.
  * Add net/if_bridgevar.h, net/if_gre.h and net/if_lagg.h.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Jan 2012 02:54:18 +0100
