=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_testroot
 	rm -rf .pc
 	rm -f *-stamp
-	rm -rf sys usr.sbin linux
+	rm -rf sys usr.sbin misc
 	dh_clean
 
 .PHONY: clean
@@ -36,6 +36,7 @@
 	dh_testdir
 
 	tar xfJ $(SRC_TAR) --wildcards --strip-components=1 "*.h"
+	mkdir -p misc
 
 	set -e ; \
 	fbsd_version=$$(sed sys/sys/param.h -ne "s/^#\s*define\s\+__FreeBSD_version\s\+\([0-9]*\)\s.*/\1/p") ; \
@@ -53,13 +54,16 @@
 		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
 		\
 		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
-		-e 's/__aligned(\([0-9]*\))/ __attribute__((aligned(\1)))/g' \
+		-e 's/__aligned(\([^)]*\?\))/ __attribute__((aligned(\1)))/g' \
 		-e 's/\(\s\|^\|(\)u_\(char\|int\|short\|long\)\(\s\)/\1unsigned \2\3/g' \
 		\
 		-e 's/defined\s*(\s*_SYS_CDEFS_H_\s*)/defined(_SYS_CDEFS_H)/g' \
 		-e 's/#\s*ifdef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifdef _SYS_CDEFS_H/g' \
 		-e 's/#\s*ifndef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifndef _SYS_CDEFS_H/g' \
-	; done)
+		\
+		-e 's/__size_t/size_t/g' \
+	; done) ; \
+	echo "#define __FreeBSD_kernel_version $$fbsd_version" > misc/osreldate.h
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2
