## kfreebsd-kernel-headers 0.71

=== debian/changelog ===
kfreebsd-kernel-headers (0.71) unstable; urgency=low

  * Stop providing sys/syscall.h and sys/errno.h. (Closes: #657810,  
    #657926).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Jan 2012 11:07:36 +0100
