## kfreebsd-kernel-headers 0.77

=== debian/changelog ===
kfreebsd-kernel-headers (0.77) unstable; urgency=low

  * Remove broken checks that have been re-added recently from
    <sys/syslimits.h>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Feb 2012 08:50:51 +0100

kfreebsd-kernel-headers (0.76) unstable; urgency=low

  * Glibc semantics for out[bwl] are incompatible, even when the types match!
    Dangerous situation here. I'll try to work it out with upstream. For now
    just revert inclusion of <sys/io.h> which makes the problem less likely
    to happen.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Feb 2012 12:20:49 +0100

kfreebsd-kernel-headers (0.75) unstable; urgency=low

  * Actually give preference to local headers in testsuite (use -I
    rather than -isystem).
  * Include <sys/io.h> in <machine/cpufunc.h> (users expect the
    definitions we removed).
  * Fix collisions in <sys/endian.h>.

 -- Robert Millan <rmh@debian.org>  Sat, 25 Feb 2012 12:58:24 +0100

kfreebsd-kernel-headers (0.74) unstable; urgency=low

  * Misc fixes related to machine/cpufunc.h.  (Closes: #660396)
    - Add sed hack to force __CC_SUPPORTS_* == 1.
    - Remove conflicting declarations for inb(), inw(), outb(), etc.
    - Add new test for machine/cpufunc.h (test/cpufunc.c).

 -- Robert Millan <rmh@debian.org>  Tue, 21 Feb 2012 19:22:58 +0100

kfreebsd-kernel-headers (0.73) unstable; urgency=low

  * Fix "kernel of FreeBSD headers" misnomer.
  * Add testsuite (currently checking OSS and USB headers).
  * 034_usb.diff: Remove (unnecessary compat glue).
  * Install sys/_stdint.h.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 22:20:23 +0100

kfreebsd-kernel-headers (0.72) unstable; urgency=low

  * Fix <sys/sysctl.h> by making userland and libc definitions consistent.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 02 Feb 2012 13:39:18 +0000
