=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,9 @@
 	rm -rf .pc
 	rm -f *-stamp
 	rm -rf sys usr.sbin misc
+
+	$(MAKE) -C test clean
+
 	dh_clean
 
 .PHONY: clean
@@ -52,6 +55,10 @@
 		-e 's/defined\s*(\s*__GNUCLIKE_[A-Z_]\+\s*)/1/g' \
 		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 1/g' \
 		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
+		\
+		-e 's/defined\s*(\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\s*)/1/g' \
+		-e 's/#\s*ifdef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 1/g' \
+		-e 's/#\s*ifndef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 0/g' \
 		\
 		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
 		-e 's/__aligned(\([^)]*\?\))/ __attribute__((aligned(\1)))/g' \
@@ -94,6 +101,9 @@
 		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
 endif
 
+	# headers must be tested after they're installed
+	$(MAKE) -C test
+
 install: install-indep install-arch
 
 .PHONY: install-indep install-arch install
