## kfreebsd-kernel-headers 0.78

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 TESTS = \
 	cpufunc.o \
+	in_pcb.o \
+	ppp.o \
 	soundcard.o \
 	usb.o \
 	$()
