=== debian/changelog ===
kfreebsd-kernel-headers (0.78) unstable; urgency=low

  * Add <net/ppp_defs.h>, alongside ppp.c test.  (Closes: #663008)
  * Fix buildability of <netinet/in_pcb.h>.  (Closes: #663091)

 -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:16:31 +0100
