## kfreebsd-kernel-headers 0.82

=== debian/changelog ===
kfreebsd-kernel-headers (0.82) unstable; urgency=low

  * Convert __GNUCLIKE* feature tests into __GNUC__.  (Closes: #677417)

 -- Robert Millan <rmh@debian.org>  Fri, 29 Jun 2012 21:34:43 +0200

kfreebsd-kernel-headers (0.81) unstable; urgency=low

  * Improve __size_t kludge to make it more compliant with FreeBSD (see
    #673431).
  * Enable "struct bintime" unconditionally, as it is needed by other
    kernel headers.
  * Add test for <sys/devicestat.h> buildability.
  * Unexpose a few more macros which collide with glibc:
    CLOCK_THREAD_CPUTIME_ID, TIMER_RELTIME and TIMER_ABSTIME.
  * Fix NZERO collision.
  * Fix stdarg.h collisions and add a new test (stdarg.c) to detect
    them.
  * Fix unintentional removal of implicit <sys/select.h> include.

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:24:52 +0200

kfreebsd-kernel-headers (0.80) unstable; urgency=low

  * Apply s/_SYS_QUEUE_H_/_FREEBSD_SYS_QUEUE_H_/g sed rule to avoid
    collision with GNU <sys/queue.h> header protection.
  * Remove old Biarch support (for -m64) on i386. The rest of toolchain
    doesn't support it, and when it does it'll have to be with Multiarch
    anyway.

 -- Robert Millan <rmh@debian.org>  Sun, 13 May 2012 17:17:57 +0200

kfreebsd-kernel-headers (9.0-1) experimental; urgency=low

  * Install kernel version of <sys/types.h> in an alternate location and
    use it internally for the rest of kernel headers.  Add a pair of new
    tests:
    - type_collision.c: Verify there is no collision with the GNU version
      of <sys/types.h>.
    - uintXX_t.c: Check for uintXX_t type availability (for kernel users).
  * Likewise for <sys/time.h>, <sys/param.h> and <sys/queue.h>.
  * Add -D_GNU_SOURCE to testsuite to probe for collisions more
    aggresively.
  * Fix visibility issues with <sys/limits.h>.
  * Install <sys/elf.h> and add a test to check for conflicts with
    <elf.h>.
  * Remove out[bwl] regex rule. Instead, error out in
    <machine/cpufunc.h> when <sys/io.h> has been included.
  * 011_wine.diff: Only disable ELF declarations that collide with GNU
    ones.

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 22:15:29 +0200

kfreebsd-kernel-headers (0.79) unstable; urgency=low

  * Add sed rule to replace __printflike.
  * Do not remove out[bwl] from <machine/cpufunc.h>, rename them instead
    (and rename their users) to avoid conflict with glibc <sys/io.h>.
    This will help un-breaking <machine/bus.h>.
  * Fix misc buildability problems with <machine/bus.h>, and add
    test/bus.c test to verify it.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Apr 2012 23:16:05 +0200
