=== debian/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 Architecture: kfreebsd-any
 Depends: ${misc:Depends}
 Replaces: libc0.1-dev (<= 2.3.6.ds1-8)
-Description: kernel of FreeBSD headers for development
+Description: kFreeBSD headers for development
  This package provides headers from the kernel of FreeBSD. These headers
  are used by the installed headers for GNU glibc and other system libraries.
