=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,6 @@
 	mkdir -p misc
 
 	set -e ; \
-	fbsd_version=$$(sed sys/sys/param.h -ne "s/^#\s*define\s\+__FreeBSD_version\s\+\([0-9]*\)\s.*/\1/p") ; \
 	find sys -type f | (while read i ; do \
 	sed -i $$i \
 		-e 's/defined\s*(\s*__FreeBSD__\s*)/1/g' \
@@ -50,27 +49,36 @@
 		-e 's/#\s*ifndef\s*__FreeBSD__\(\s\|$$\)/#if 0/g' \
 		-e 's/__FreeBSD__/$(major)/g' \
 		\
-		-e "s/__FreeBSD_version/$$fbsd_version/g" \
+		-e "s/__FreeBSD_version/__FreeBSD_kernel_version/g" \
 		\
 		-e 's/defined\s*(\s*__GNUCLIKE_[A-Z_]\+\s*)/1/g' \
-		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 1/g' \
-		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if 0/g' \
+		-e 's/#\s*ifdef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if defined(__GNUC__)/g' \
+		-e 's/#\s*ifndef\s*__GNUCLIKE_[A-Z_]\+\(\s\|$$\)/#if !defined(__GNUC__)/g' \
 		\
-		-e 's/defined\s*(\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\s*)/1/g' \
-		-e 's/#\s*ifdef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 1/g' \
-		-e 's/#\s*ifndef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if 0/g' \
+		-e 's/defined\s*(\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\s*)/defined(__GNUC__)/g' \
+		-e 's/#\s*ifdef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if defined(__GNUC__)/g' \
+		-e 's/#\s*ifndef\s*__CC_SUPPORTS_\(INLINE\|__INLINE\|__INLINE__\|__FUNC__\|WARNING\|VARADIC_XXX\|DYNAMIC_ARRAY_INIT\)\(\s\|$$\)/#if !defined(__GNUC__)/g' \
 		\
+		-e 's/__unused/__attribute__((__unused__))/g' \
 		-e 's/__packed\(\s\|;\)/ __attribute__((__packed__))\1/g' \
 		-e 's/__aligned(\([^)]*\?\))/ __attribute__((aligned(\1)))/g' \
 		-e 's/\(\s\|^\|(\)u_\(char\|int\|short\|long\)\(\s\)/\1unsigned \2\3/g' \
+		-e 's/__printflike(\([0-9]\+\),\s*\([0-9]\+\))/__attribute__((__format__ (__printf__, \1, \2)))/g' \
 		\
 		-e 's/defined\s*(\s*_SYS_CDEFS_H_\s*)/defined(_SYS_CDEFS_H)/g' \
 		-e 's/#\s*ifdef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifdef _SYS_CDEFS_H/g' \
 		-e 's/#\s*ifndef\s*_SYS_CDEFS_H_\(\s\|$$\)/#ifndef _SYS_CDEFS_H/g' \
 		\
-		-e 's/__size_t/size_t/g' \
+		-e 's/_SYS_QUEUE_H_/_FREEBSD_SYS_QUEUE_H_/g' \
+		\
+		-e 's/#\s*include\s\+<sys\/types\.h>\s*/#include <sys\/kern\/types.h>/g' \
+		-e 's/#\s*include\s\+<sys\/time\.h>\s*/#include <sys\/kern\/time.h>/g' \
+		-e 's/#\s*include\s\+<sys\/param\.h>\s*/#include <sys\/kern\/param.h>/g' \
+		-e 's/#\s*include\s\+<sys\/queue\.h>\s*/#include <sys\/kern\/queue.h>/g' \
+		\
+		-e 's/__size_t/__this_is_a_temporary_kludge__size_t/g' $(shell ## see rev 184135 in GCC SVN ##) \
 	; done) ; \
-	echo "#define __FreeBSD_kernel_version $$fbsd_version" > misc/osreldate.h
+	echo "#include <sys/kern/param.h>" > misc/osreldate.h
 
 	QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a || test $$? = 2
 
@@ -89,16 +97,19 @@
 	dh_installdirs
 	dh_install --sourcedir=$(CURDIR)
 
+ifneq ($(filter amd64, $(kfreebsd_cpu)),)
+	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
+else
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
+	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
+		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
+endif
+
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
-	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
 	# Install "x86" directory (only on i386 and amd64).
 	mkdir -p $(HEADERS_PACKAGE)/usr/include/x86
 	cd $(CURDIR)/sys/x86/include \
 		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/x86 \;
-else
-	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
-	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
-		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
 endif
 
 	# headers must be tested after they're installed
