=== debian/changelog ===
kfreebsd-kernel-headers (0.83) unstable; urgency=low

  * Include <sys/termios.h> instead of <sys/_termios.h> from <sys/tty.h>
    so that code including both does not fail to build due to redefinition
    of struct termios. (Closes: #700027)

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Mar 2013 04:41:12 +0100
