=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>
 Build-Depends: debhelper (>= 7), quilt, kfreebsd-source-9.0
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-kernel-headers/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
+Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/branches/wheezy/kfreebsd-kernel-headers/
+Vcs-Svn: svn://svn.debian.org/glibc-bsd/branches/wheezy/kfreebsd-kernel-headers/
 Standards-Version: 3.9.2
 
 Package: kfreebsd-kernel-headers
